<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listTexts") label="Texts"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="All Texts"]]

<div class="btn-toolbar">
  <semantic-link
    iri="[[resolvePrefix ':searchTexts']]"
    class="btn btn-md btn-default"
    >Advanced search</semantic-link>
[[#if (hasPermission "forms:ldp:update")]]
  <semantic-link
    iri="[[resolvePrefix ':createText']]"
    class="btn btn-md btn-primary "
    >Add new text</semantic-link>
[[/if]]
</div>

<div class="gap">
  <semantic-simple-search
    query='
      SELECT DISTINCT ?resource ?label WHERE {
        ?resource a ismi:Text ;
          rdfs:label ?title ;
          frbroo:R16i_was_initiated_by / crm:P14_carried_out_by / rdfs:label ?author_label .
        ?search_hit bds:search ?__token__ ;
          bds:relevance ?score ;
          bds:minRelevance "0.1" .
        {
          ?resource rdfs:label ?search_hit .
        } UNION {
          ?resource crm:P102_has_title / rdfs:label ?search_hit .
        }
        bind(concat(?title, " (Author: ", ?author_label, ")") as ?label)
      } ORDER BY DESC(?score) LIMIT 100
    '
    template='<span style="color: blue;" title="{{resource.value}}">{{label.value}}</span>'
    input-placeholder='Search for text title...'
  ></semantic-simple-search>
</div>

<div class="panel">
  <div class="panel-body">
    [[> Partial:tableTexts]]
  </div>
</div>

[[> Partial:contentEnd]]
